# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXProcessors

Function

Returns the number of processors.

Syntax
`
#include <dx/dx.h>
`

int DXProcessors(int n)

Functional Details

Queries the number of processors available for running tasks, if `n=0`, and may be used to determine task allocation for parallelism.

Values of `n!=0` are ignored and reserved for future use.

Return Value

Returns the number of processors.

See Also

`DXAddTask, DXCreateTaskGroup, DXExecuteTaskGroup, DXProcessorId`

13.8 , "Parallelism".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]